require "spec_helper"
require "pp"
require "similar_text"

describe SentrySummary::Sentry do
  let(:client) do
    SentrySummary::Sentry.new do |sentry|
      sentry.token = "d2c9a2993de64aba98051152e4442ed97106eb9a8594449786a0b88b9a9e64e4"
      sentry.organization = "chicisimo"
    end
  end

  xit "returns the issues for the given project" do
    issues = client.issues("api")

    expect(issues).to be_an(Array)
    expect(issues.first).to be_an(SentrySummary::Issue)
  end

  it "returns the issues last seen since the given relative time" do
    issues = client.issues("api", "10 min ago")
  end

  xit "returns the latest sample for each issue" do
    samples = client.latest_samples("api")

    expect(samples).to be_an(Array)
    expect(samples.first).to be_an(SentrySummary::Event)
    expect(samples.group_by(&:issue_id).count).to eq(samples.count)
  end

  it "returns the latest events for the given issue" do
    issue = client.issues("api").max_by { |issue| issue.count }
    events = client.events(issue.id)

    expect(events).to be_an(Array)
    expect(events.first).to be_an(SentrySummary::Event)
  end
end
